package com.trade.service.contract.dto;

/**
 * 合同盖章信息
 */
public class ContractSeal implements java.io.Serializable {

    private static final long serialVersionUID = 6921381284566382387L;
    private Boolean autoSign; // 是否为静默签章
    private String keyword;// 盖章关键字
    // 定义最高级别的证件类型，所有系统都以此类型传值
    // 统一社会信用代码、组织机构代码等
    private String sealIdType;// 盖章企业证件类型
    private String sealIdNo;// 盖章企业证件号
    private String sealName;// 盖章企业名称
    private Boolean signLegal; // 是否签署法人章 默认false 签署企业章 只有签署人为非法人代签法人章时，才需要传企业证件号并将signLegal设置为true
    private Boolean withTime; // 签章是否带时间
    // private Boolean signerIsLegal; // 签署人是否为法人 法大大使用，若为法人，则创建企业授权时，无需传个人证件号
    private ContractSigner signer;// 签署人信息

    public Boolean getAutoSign() {
        return autoSign;
    }

    public void setAutoSign(Boolean autoSign) {
        this.autoSign = autoSign;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getSealName() {
        return sealName;
    }

    public void setSealName(String sealName) {
        this.sealName = sealName;
    }

    public Boolean getSignLegal() {
        return signLegal;
    }

    public void setSignLegal(Boolean signLegal) {
        this.signLegal = signLegal;
    }

    public String getSealIdNo() {
        return sealIdNo;
    }

    public void setSealIdNo(String sealIdNo) {
        this.sealIdNo = sealIdNo;
    }

    public String getSealIdType() {
        return sealIdType;
    }

    public void setSealIdType(String sealIdType) {
        this.sealIdType = sealIdType;
    }

    public Boolean getWithTime() {
        return withTime;
    }

    public void setWithTime(Boolean withTime) {
        this.withTime = withTime;
    }

    public ContractSigner getSigner() {
        return signer;
    }

    public void setSigner(ContractSigner signer) {
        this.signer = signer;
    }
}
